<template>
  <div class='getting-started container'>
    <h2 class='base-title'>{{$t('title')}}</h2>
    <div class='getting-started__items'>
      <client-only>
        <Flickity id='getting-start-carousel' ref="getting-start-carousel"  :options="flickityOptions" :key='sliderKey'>
          <div v-for='(item, index) in $t("list")' :key='index' class='getting-started__item item' >
            <div class='item__img'>
              <img :src='require(`../../assets/img/hub/${item.img}.svg`)' width='85' height='85' alt='1'>
            </div>
            <p class='item__name'>{{ item.name }}</p>
            <p class='item__text'>{{ item.text }}</p>
          </div>
        </Flickity>
      </client-only>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "How to Launch Your Own Business with TBCC Hub",
    "list":[
      {
        "img":"1",
        "name":"Consultation",
        "text":"Contact us. We are always ready to discuss your business needs."
      },
      {
        "img":"2",
        "name":"Preparation",
        "text":"Select a suitable offer, our specialists discuss all your special requests, terms and start building."
      },
      {
        "img":"3",
        "name":"Deployment",
        "text":"Don\\'t lose time, use the dashboard to add your banners, trading pairs, and others, while we get your product ready for launch."
      },
      {
        "img":"4",
        "name":"Launch!",
        "text":"Your Exchange is ready! We are with you to support and assist you in getting up."
      }
    ]

  },
  "ch": {
    "title": "如何在TBCC启动您自己的业务",
    "list":[
      {
        "img":"1",
        "name":"次咨询",
        "text":"联系我们。我们随时准备讨论您的业务需求。"
      },
      {
        "img":"2",
        "name":"准备",
        "text":"选择一个合适的报价，我们的专家会讨论你所有的特殊要求、条款并开始建造。"
      },
      {
        "img":"3",
        "name":"部署",
        "text":"不要浪费时间，使用仪表板来添加您的横幅、交易对和其他，同时我们为你的产品上市做好准备"
      },
      {
        "img":"4",
        "name":"启动!",
        "text":"您的交易所已经准备好了!我们与您在一起，支持并协助您起来"
      }
    ]

  },
  "tur": {
    "title": "How to Launch Your Own Business with TBCC Hub",
    "list":[
      {
        "img":"1",
        "name":"Consultation",
        "text":"Contact us. We are always ready to discuss your business needs."
      },
      {
        "img":"2",
        "name":"Preparation",
        "text":"Select a suitable offer, our specialists discuss all your special requests, terms and start building."
      },
      {
        "img":"3",
        "name":"Deployment",
        "text":"Don\\'t lose time, use the dashboard to add your banners, trading pairs, and others, while we get your product ready for launch."
      },
      {
        "img":"4",
        "name":"Launch!",
        "text":"Your Exchange is ready! We are with you to support and assist you in getting up."
      }
    ]
  }
}
</i18n>

<script>
export default {

  data() {
    return {
      innerWidth: 0,
      sliderKey: 1,
    }
  },

  computed: {
    flickityOptions() {
      if( this.innerWidth > 767 && this.innerWidth < 1024) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 3,
          prevNextButtons: false
        }
      }
      if(this.innerWidth <= 767) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 1,
          prevNextButtons: false
        }
      }
      return {
        pageDots: true,
        wrapAround: false,
        groupCells: 4,
        prevNextButtons: false
      }
    }
  },

  watch: {
    flickityOptions() {
      this.sliderKey += 1
    }
  },

  mounted() {
    this.setWidth();
    window.addEventListener('resize', this.setWidth);
  },

  methods: {
    setWidth() {
      this.innerWidth = window.innerWidth
    }
  }
}
</script>


<style lang='scss' scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 60px;
  text-align: center;
  max-width: 521px;

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.getting-started {
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
  z-index: 2;

  @media(max-width: 767px) {
    padding-bottom: 55px;
  }

  &__items {
    width: 100%;
    //display: flex;
    padding-bottom: 90px;

    @media(max-width: 767px) {
      max-width: 350px;
    }
  }
}

.item {
  margin-right: 20px;
  width: calc((100% - 20px));
  max-width: 350px;

  @media (min-width: 768px) {
    width: calc((100% - 60px) / 3);
  }

  @media (min-width: 1024px) {
    width: calc((100% - 80px) / 4);
  }

  &:last-child {
    .item__img {
      &::before {
        background-image: url("../../assets/img/hub/check.svg");
        width: 21px;
        height: 16px;
      }
    }
  }

  &__img {
    position: relative;
    margin-bottom: 25px;

    @media (max-width: 767px) {
      margin-bottom: 18px;
    }

    &::before {
      content: '';
      position: absolute;
      width: 29px;
      height: 13px;
      background-image: url("../../assets/img/hub/arrow.svg");
      background-repeat: no-repeat;
      background-position: center;
      left: 98px;
      top: 50%;
      transform: translateY(-50%);
    }

    img {
      position: relative;
      left: -11px;
    }
  }

  &__name {
    font-size: 24px;
    color: white;
    font-weight: 500;
    margin: 0 0 25px;
  }

  &__text {
    max-width: 210px;
    font-size: 16px;
    line-height: 24px;
    color: #6983AB;
    margin: 0;
  }
}

</style>
